FUNCTION TEMPLA(3)

NAME
boost::mpi::wait_any - Wait until any non-blocking request has completed.

SYNOPSIS

// In header: <boost/mpi/nonblocking.hpp>
template<typename ForwardIterator>
  std::pair< status, ForwardIterator >
  wait_any(ForwardIterator first, ForwardIterator last);

DESCRIPTION

This routine takes in a set of requests stored in the iterator range [first,last) and waits until any of these requests has been completed. It provides functionality equivalent to MPI_Waitany.

Parameters:

    first
        The iterator that denotes the beginning of the sequence of request objects.

    last
        The iterator that denotes the end of the sequence of request objects. This may not be equal to first.

Returns:
    A pair containing the status object that corresponds to the completed operation and the iterator referencing the completed request.